# -*- coding: utf-8 -*-
"""
oathldap_tool.ykinit -- sub-command for displaying Yubikey token information
"""

#---------------------------------------------------------------------------
# Imports
#---------------------------------------------------------------------------

# from python-usb package
from usb.core import USBError

# from oathldap_tool package
from .__about__ import __version__
from .yubikey import YubiKeySearchError, YKTokenDevice
from . import ErrorExit, cli_output

#---------------------------------------------------------------------------
# Functions
#---------------------------------------------------------------------------

def ykinfo(command_name, args):
    """
    Shows information about connected Yubikey device.
    """
    try:
        cli_output('OATH-LDAP {0} v{1}'.format(command_name, __version__))
        yk_device = YKTokenDevice.search()
        cli_output(yk_device.info_msg(), lf_before=0, lf_after=1)
    except USBError as err:
        cli_output(str(err))
    except ErrorExit as err:
        cli_output(str(err))
    except YubiKeySearchError as err:
        cli_output(str(err))
    # end of ykinfo()
